{%- from 'components/processclass_header.html.jinja' import processclass_header -%}
{%- from 'components/processes_helper.html.jinja' import prozess_handlungsgrundlagen, prozess_metadata -%}
{%- from 'components/help.html.jinja' import empty_entry, optional_text, glossary_link -%}
{%- from 'components/metadata.html.jinja' import simple_attribute, metadata_card, baustein_referenzen -%}
{%- from 'components/logo.html.jinja' import redaktion_logo -%}
{%- extends "root.html.jinja" -%}

{% block page %}
  {{ processclass_header(prozessklasse.header, baseurl) }}

  {# content section #}
  <div class="container py-3 mb-5">
    <div class="row">
      <section class="col-lg-8 mb-5" aria-label="Inhalt">
        <h2 class="visually-hidden">Inhalt</h2>
        <h3 class="fs-5 fw-semibold mt-3">Definition</h3>
        <hr class="mt-1 mb-3" />
        {{ optional_text(prozessklasse.definition) }}

        <h3 class="fs-5 fw-semibold mt-5">
          Handlungsgrundlage{{ glossary_link("https://docs.fitko.de/fim/docs/glossar/#handlungsgrundlage", "Handlungsgrundlage") }}
        </h3>
        <hr class="mt-1 mb-3" />
        {{ prozess_handlungsgrundlagen(prozessklasse.handlungsgrundlagen) }}
        <div class="mb-4 mt-3">
          {% call simple_attribute("Gültig ab", None) %}
            {% if prozessklasse.gueltig_ab %}
              {{ prozessklasse.gueltig_ab }}
            {% else %}
              {{ empty_entry() }}
            {% endif %}
          {% endcall %}

          {% call simple_attribute("Gültig bis", None) %}
            {% if prozessklasse.gueltig_bis %}
              {{ prozessklasse.gueltig_bis }}
            {% else %}
              {{ empty_entry() }}
            {% endif %}
          {% endcall %}
        </div>

        <h3 class="fs-5 fw-semibold mt-5">Relevant für Leistungszuschnitt</h3>
        <hr class="mt-1 mb-3" />
        <div class="mb-4 mt-3">
          {% call simple_attribute("Operatives Ziel", "https://docs.fitko.de/fim/docs/glossar/#operatives-ziel") %}
            {% if prozessklasse.operatives_ziel %}
              {{ prozessklasse.operatives_ziel }}
            {% else %}
              {{ empty_entry() }}
            {% endif %}
          {% endcall %}

          {% call simple_attribute("Handlungsform", "https://docs.fitko.de/fim/docs/glossar/#handlungsform") %}
            {% if prozessklasse.handlungsform %}
              {{ prozessklasse.handlungsform }}
            {% else %}
              {{ empty_entry() }}
            {% endif %}
          {% endcall %}

          {% call simple_attribute("Verfahrensart", "https://docs.fitko.de/fim/docs/glossar/#verfahrensart") %}
            {% if prozessklasse.verfahrensart %}
              {{ prozessklasse.verfahrensart }}
            {% else %}
              {{ empty_entry() }}
            {% endif %}
          {% endcall %}
        </div>

        <h3 class="fs-5 fw-semibold mt-5">Prozessart</h3>
        <hr class="mt-1 mb-3" />
        {{ optional_text(prozessklasse.prozessart) }}

        <h3 class="fs-5 fw-semibold mt-5">Einordnung in den Prozesskatalog</h3>
        <hr class="mt-1 mb-3" />
        <div class="d-flex flex-column">
          {% if prozessklasse.einordnung_in_den_prozesskatalog.first %}
            <div>
              {{ prozessklasse.einordnung_in_den_prozesskatalog.first.name }}
              <span class="text-secondary"
                >({{ prozessklasse.einordnung_in_den_prozesskatalog.first.id }})</span
              >
            </div>
          {% endif %}
          {% if prozessklasse.einordnung_in_den_prozesskatalog.second %}
            <div class="d-flex flex-row mt-1">
              <i class="bi bi-arrow-return-right text-secondary me-1"></i>
              <div>
                <div>
                  {{ prozessklasse.einordnung_in_den_prozesskatalog.second.name }}
                  <span class="text-secondary"
                    >({{ prozessklasse.einordnung_in_den_prozesskatalog.second.id }})</span
                  >
                </div>

                {% if prozessklasse.einordnung_in_den_prozesskatalog.third %}
                  <div class="mt-1">
                    <i class="bi bi-arrow-return-right text-secondary"></i>
                    {{ prozessklasse.einordnung_in_den_prozesskatalog.third.name }}
                    <span class="text-secondary"
                      >({{ prozessklasse.einordnung_in_den_prozesskatalog.third.id }})</span
                    >
                  </div>
                {% endif %}
              </div>
            </div>
          {% endif %}
        </div>
      </section>

      <aside
        class="col-lg-4 order-lg-last"
        aria-label="Zusätzliche Informationen"
      >
        {% call metadata_card("Zugehörige Leistungen", none) %}
          {{ baustein_referenzen(prozessklasse.leistungen) }}
        {% endcall %}

        {% call metadata_card("Zugehörige Prozesse", none) %}
          {{ baustein_referenzen(prozessklasse.prozesse) }}
        {% endcall %}

        {% call metadata_card("Downloads", none) %}
          <div class="list-group list-group-flush">
            <a
              href="{{ prozessklasse.download_prozessklasse_href }}"
              class="list-group-item list-group-item-action d-flex flex-row gap-2 align-items-center"
            >
              <i class="text-primary bi bi-download" aria-hidden="true"></i>
              <div>Prozessklasse (XProzess)</div>
            </a>
          </div>
        {% endcall %}

        <div class="border-start px-3">
          {{ prozess_metadata(prozessklasse.metadata) }}
        </div>
      </aside>
    </div>
  </div>
{% endblock %}
